Вопросы с тегами [ubuntu]

1

голосов
1

ответ
63

Просмотры

Почему кавычки в сценарии оболочки ведут себя по-разному от кавычек в командах оболочки?

Я использую WsL (Ubuntu 18.04) на Windows 10 и Баш. У меня есть файл filename.gpg с содержанием: экспорт SOME_ENV_VAR = '123' Теперь я бегу следующие команды: $ $ (GPG -d filename.gpg) $ эхо $ SOME_ENV_VAR '123'
Leo Jiang
1

голосов
1

ответ
42

Просмотры

Почему массив типа строки не принимает данные, когда вы перезаписать уже сохраненные значения в элементах с вводом с клавиатуры?

Я пытаюсь для хранения значений, как «01» и «10» в массив, но целочисленный массив будет принимать «01», как «1». Поэтому я решил использовать строку array.While объявить массив строк, я инициализирован его массив строк [п] = {0}; На компиляции кода он показывает сообщение об ошибке сказав: «Terminate вызывается после метания экземпляра„станд :: logic_error“что (): basic_string :: _ M_constructnull не действует» В то время как только изменяя тип массива Integer, он отлично работает. Я пытался не инициализировать массив строк [п] = {0}; Затем код работает отлично! Можно ли сделать вывод, что массив типа строки не может перезаписать значения уже хранится в элементах? # include с помощью патезраса; INT основных () {Int N; CIN >> п; Строка обр [п] = {0}; для (INT I = 0; я> обр [I]; соиЬ
Sankalp
0

голосов
1

ответ
7

Просмотры

Ubuntu - как установить лязг компилятора по умолчанию с помощью обновления-альтернативы

Я использую Ubuntu 18.04 и у меня есть два GCC / G ++ версии, которые управляются с помощью обновления-альтернативы: Судо ДОПОЛНЕНО альтернативы --install / USR / бен / GCC GCC / USR / бен / GCC-7 100 --slave / USR / бен / г ++ г ++ / USR / бен / г ++ - 7 Судо обновление-альтернатив --install / USR / бен / НКУ НКУ /usr/bin/gcc-4.8 50 --slave / USR / бен / г ++ г ++ / USR / бен / г ++ -4,8 я могу переключить компилятор, используя следующую команду: Судо ДОПОЛНЕНЫ альтернативы --config НКИ я заметил, что у меня есть следующая цепочка для компилятора (GCC-7 / г ++ - 7 в данном случае): / USR / бен / куб.см - > / и т.д. / альтернатив / куб.см -> / USR / бен / GCC -> / и т.д. / альтернатив / GCC -> / USR / бен / GCC-7 / USR / бен / C ++ -> / и т.д. / альтернатив / C ++ -> / USR / бен / г ++ -> / и т.д. / альтернативы / г ++ -> / USR / бен / г ++ - 7 Я также установил лязг-8 и лязг ++ - 8, но / USR / бен содержит только лязг-8 и лязг ++ - 8, там не лязг символической ссылки.Как я должен добавить лязг обновить-альтернативу инструменты?
Irbis
1

голосов
0

ответ
69

Просмотры

После того, как изменения в РАМ кронтаб перестают работать

Я внес изменения в: кошки /etc/pam.d/common-session-noninteractive Судо VI /etc/pam.d/cron Судо VI /etc/security/limits.conf после перезагрузки системы кронтаба перестает работать, когда я проверить системный журнал его показывает ниже ошибок: РАМ (CRON) незаконный типа модуля: ession хроны [4936]: Доступ запрещен
Sandesh Dumbre
1

голосов
0

ответ
83

Просмотры

Перенаправление на определенный порт

У меня есть сервер, на котором веб-сервер работает на 1150 портов и других услуг на несколько других портов, как 1151, 1152 и т.д. Сейчас пользователь должен добавить порт в URL, чтобы получить доступ к веб-серверу. Я хочу, чтобы перенаправить: abc.example.com abc.example.com:1150 http://abc.example.com https://abc.example.com http://abc.example.com:1150 к: https: //abc.example.com:1150 Кроме того, я не хочу, чтобы перенаправить вызов другого порта (например, abc.example.com:1151) до 1150. Я использовал следующий код в моей / и т.д. / Nginx / сайты-доступные / ssl.conf файл: сервер {слушать 80; server_name abc.example.com; вернуться 301 https: // $ server_name $ REQUEST_URI; } Его перенаправление на страницу "400 Bad Request". Спецификация сервера: Ubuntu 16,04, Nginx.
Gaurav
1

голосов
0

ответ
130

Просмотры

Лучший способ упаковать kivy приложение для убунту

Там нет информации в официальном ЕМ kivy для упаковки kivy приложения для убунта. https://kivy.org/docs/gettingstarted/packaging.html я попробовал это также, но это не работает для меня. http://bitstream.io/packaging-and-distributing-a-kivy-application-on-linux.html я с зависимостями Python3 и kivy. Я хочу, чтобы получить двоичные файлы, которые могут быть непосредственно кликали и использоваться без каких-либо установок. Может кто-нибудь помочь.
Prabhakar Jha
1

голосов
1

ответ
61

Просмотры

питон: подпроцесс дает мне разные результаты при использовании Sudo

Я использую Python, чтобы сделать несколько тестов, и я получаю очень странные проблемы, как показано ниже: Во-первых у меня есть простой Баш скрипт с именем 1.sh: #! / Bin / ш эхо «НИЧЕГО» Тогда я сделать такой питон скрипт с именем тест .py в том же каталоге, как показано ниже: #! / USR / бен / питон импорт подпроцесса импорта ОС os.environ [ 'PS4'] = "ааа" Рез = subprocess.Popen ([ 'баш', '-x', ' 1.sh «], STDERR = subprocess.PIPE) печать res.stderr.readlines () к моему удивлению, когда я исполняю ./test.py, я получаю результат: НИЧЕГО [» ааа эхо НИЧЕГО \ п '], и когда Я исполняю SUDO ./test.py, я получаю: НИЧЕГО [ «+ эхо НИЧЕГО \ п»] Что мне нужно ааа, тогда она становится + теперь только из-за Судо. Зачем? Версия моего питона: 2.7.12 Система: Ubuntu 16.04
Yves
1

голосов
1

ответ
559

Просмотры

python proxy in selenium firefox headless not working

I am using Ubuntu Server 17.04. I am trying to set my proxy into selenium. But it's not working. I am using proxy from https://stormproxies.com/. Basically only the ip i allowed it will be allowed to have proxy and then i have to use the ip that they give me to access it. So basically it's not anything like this "ip:[email protected]:pass". Let's say this is the proxy ip i m using Example: https://123.123.123.123:13028 The proxy works fine...cause I used it in scrapy. But not working in in selenium..I have tried all the examples that I found and it gives me all kinds of errors. I'm thinking is because the examples are out-dated...maybe. My selenium and everything it's up to date. I have geckodriver set to path...and everything. Selenium works fine if I don't add proxy. Those are the main imports I am using for all. from selenium import webdriver from selenium.webdriver.common.proxy import * from pyvirtualdisplay import Display Those are all the scripts I have tried. 1st Example it doesn't give me any error but it doesn't connect to the proxy. when I try to get the ip in "https://whatismyipaddress.com" I get my true ip, not a proxy display = Display(visible=0, size=(1920, 1080)).start() myProxy = "https://123.123.123.123:13028" proxy = Proxy({ 'proxyType': ProxyType.MANUAL, 'httpProxy': myProxy, 'ftpProxy': myProxy, 'sslProxy': myProxy, 'noProxy': None }) browser = webdriver.Firefox() browser.get("https://whatismyipaddress.com/") 2nd Example - it gives me this error: WebDriverException: Message: Process unexpectedly closed with status: 1 proxies = "123.123.123.123:13028" prox = Proxy() prox.proxy_type = ProxyType.MANUAL prox.http_proxy = proxies prox.socks_proxy = proxies prox.ssl_proxy = proxies capabilities = webdriver.DesiredCapabilities.FIREFOX prox.add_to_capabilities(capabilities) driver = webdriver.Firefox(capabilities=capabilities) 3rd Example - it gives me this error: WebDriverException: Message: Process unexpectedly closed with status: 1 PROXY_PORT = '13028' PROXY_HOST = '123.123.123.123' fp = webdriver.FirefoxProfile() print PROXY_PORT print PROXY_HOST fp.set_preference("network.proxy.type", 1) fp.set_preference("network.proxy.http", PROXY_HOST) fp.set_preference("network.proxy.http_port", int(PROXY_PORT)) fp.set_preference("network.proxy.https", PROXY_HOST) fp.set_preference("network.proxy.https_port", int(PROXY_PORT)) fp.set_preference("network.proxy.ssl", PROXY_HOST) fp.set_preference("network.proxy.ssl_port", int(PROXY_PORT)) fp.set_preference("network.proxy.ftp", PROXY_HOST) fp.set_preference("network.proxy.ftp_port", int(PROXY_PORT)) fp.set_preference("network.proxy.socks", PROXY_HOST) fp.set_preference("network.proxy.socks_port", int(PROXY_PORT)) fp.set_preference("general.useragent.override", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9_3) AppleWebKit/537.75.14 (KHTML, like Gecko) Version/7.0.3 Safari/7046A194A") fp.update_preferences() driver = webdriver.Firefox(firefox_profile=fp) 4th Example - it gives me this error : InvalidArgumentException: Message: null is not an array PROXY = "123.123.123.123:13028" webdriver.DesiredCapabilities.FIREFOX['proxy'] = { "httpProxy": PROXY, "ftpProxy": PROXY, "sslProxy": PROXY, "noProxy": None, "proxyType": "MANUAL", } driver = webdriver.Firefox() driver.get('http://www.whatsmyip.org/') And i also used this example: 5th Example - it gives me this error: WebDriverException: Message: Process unexpectedly closed with status: 1 ProxyHost = "123.123.123.123" ProxyPort = "13028" def ChangeProxy(ProxyHost, ProxyPort): "Define Firefox Profile with you ProxyHost and ProxyPort" profile = webdriver.FirefoxProfile() profile.set_preference("network.proxy.type", 1) profile.set_preference("network.proxy.http", ProxyHost) profile.set_preference("network.proxy.http_port", int(ProxyPort)) profile.update_preferences() return webdriver.Firefox(firefox_profile=profile) def FixProxy(): # ""Reset Firefox Profile"" profile = webdriver.FirefoxProfile() profile.set_preference("network.proxy.type", 0) return webdriver.Firefox(firefox_profile=profile) driver = ChangeProxy(ProxyHost, ProxyPort) driver.get("http://whatismyipaddress.com") time.sleep(5) driver = FixProxy() driver.get("http://whatismyipaddress.com")
Omega
1

голосов
1

ответ
371

Просмотры

Python-Селен-Chromedriver дает ConnectionResetError на AWS-EC2 Ubuntu

У меня есть приложение с помощью Selenium / Chromedriver, работает хром headlessly. На моей локальной машине, она прекрасно работает. При попытке запуска на экземпляре AWS EC2-Убунту 16.04, я получаю ошибку каждый раз; ConnectionResetError: [Errno 104] Сброс соединения по равной исходящим правилам для группы безопасности разрешает весь трафик на все порты. Сброс по ошибке сверстников предполагает, что я получаю заблокирован на сервере, но я не могу объяснить, почему я все еще могу работать на местном уровне? Любое понимание, как к источнику ошибки? Установка: Python 3.6 Chromedriver 2,34 Селен 3.8.1 Примечание: Использование Robobrowser с того же сервера завершается без проблем. SteveJ
SteveJ
1

голосов
0

ответ
657

Просмотры

Создана символическая ссылка на /usr/bin/clang++-5.0, но ссылка только компилирует файлы C

Ubuntu 16.04, не GCC. Установленная лязг: Суда склонны установить Clang-5.0 Создано две ссылки: Судо пер -s /usr/bin/clang-5.0 лязг Судо пер -s /usr/bin/clang++-5.0 cclang Составлять простой файл C, helloworld.c. Либо лязг или cclang работает отлично. Попробуйте скомпилировать файл C ++: cclang helloworld.cpp Есть ошибки. Такие же сообщения об ошибках, как лязг helloworld.cpp (C компилятор для компиляции C ++ файл) Однако /usr/bin/clang++-5.0 helloworld.cpp работает отлично. Ничего плохого в моем создании символической ссылки?
Bin
1

голосов
1

ответ
178

Просмотры

Neo4j Desktop установить ошибку в первом шаге

Я пытаюсь установить Neo4j Desktop на Ubuntu 16,04 и я установил JDK 8. Я получаю эту ошибку: Ошибка инициализации: Ошибка: Shasum загруженного файла не соответствует ожидаемому значению. Пожалуйста, попробуйте еще раз! Кто-нибудь знает, Что проблема?
amirahr
1

голосов
1

ответ
181

Просмотры

Why do I get a java.lang.UnsatisfiedLinkError for com.sun.webkit.dom.HTMLInputElementImpl.clickImpl(J)V on Ubuntu 14.04.5

clickImpl (J) В при com.sun.webkit.dom.HTMLInputElementImpl.clickImpl (нативный метод) при com.sun.webkit.dom.HTMLInputElementImpl.click (HTMLInputElementImpl.java:506) при io.webfolder.ui4j.webkit.dom .WebKitElement.click_aroundBody50 (WebKitElement.java:299) в io.webfolder.ui4j.webkit.dom.WebKitElement $ AjcClosure51.run (WebKitElement.java:1) в io.webfolder.ui4j.internal.aspectj.runtime.reflect.JoinPointImpl .proceed (JoinPointImpl.java:149) в io.webfolder.ui4j.webkit.aspect.WebKitAspect $ CallableExecutor.run (WebKitAspect.java:39) ... более 6 Моя система ~ # lsb_release -a Нет LSB модули доступны , Дистрибьютор ID: Ubuntu Описание: Ubuntu 14.04.5 LTS Release: 14,04 Codename: испытанный И моя JAVA версия: ~ # Java -версия Java версия "1.8.0_151" Java (TM) SE Runtime Environment (сборка 1.8. 0_151-b12) Java HotSpot (TM) сервер VM (сборка 25.151-b12, смешанный режим) И если я запускаю команду нм на так Пб я, кажется, думают, что функция есть: ~ # нм / USR / Библиотека / JVM / Java-8-оракул / JRE / Библиотека / i386 / libjfxwebkit.so | Grep HTMLInputElementImpl | Grep clickImpl 010254b0 т Java_com_sun_webkit_dom_HTMLInputElementImpl_clickImpl Что это такое, что мне не хватает во всем этом? Я много раз пытался переустановить Java, но это не помогло.
Tobias Eriksson
1

голосов
0

ответ
1k

Просмотры

ValueError: формат ключ RSA не поддерживается на Python

Привет Когда я получил эту ошибку в моей системе бумажника при отправке другого бумажника нескольких монет наклоняют отправлять и я получил эту ошибку моего кода: sendcloudcoin четкости (запрос): allify = {} данных = {}, если request.method == ' ПОСТ ': senderpubkey = request.POST.get (' spubkey ') senderprivatekey = request.POST.get (' sprikey ') senderwalletid = request.POST.get (' SwiD ') приемник = request.POST.get (' Публичных» ) .strip () receiverhex = hashlib.sha256 (base64.b64decode (приемник)) hexdigest () сумма = request.POST.get ( 'сумма') полосы (), если Int (сумма) Int (баланс):.. allify [ 'ответ'] = "не достаточно количество" вернуть HttpResponse (json.dumps (allify), content_type = "приложения / JSON") еще: first_timestamp = time.time () данные [ 'senderpublickey'] = ули (senderwalletid) # 1 данные [ 'receiverhex'] = ули (receiverhex) # 2 данных [ 'previous_hash'] = ули (transaction.objects.all (). (последние). blockhash) # 3 данных [ 'суммы '] = ул (сумма) # 4 данных [' временной метки '] = ул (first_timestamp) # 5 = идеальный шахтер (first_timestamp, senderwalletid, receiverhex, количество) данные [ "нонс"] = ул (идеально) данные = collections.OrderedDict (упорядоченные (data.items ())) datashash = hashlib.sha256 (json.dumps (данные) .encode ( 'UTF-8')). hexdigest () # печати (datashash) # печати (datashash.encode ( 'UTF -8 ')) rsakey = RSA.importKey (senderprivatekey) DigitalSignature = rsakey.sign (datashash.encode (' UTF-8 '),' ') = DigitalSignature JSON.отвалы (DigitalSignature) newtrans = транзакции (отправитель = base64.b64encode (senderpubkey.encode ( 'UTF-8')), senderhexdigest = senderwalletid, приемник = приемник, receiverhexdigest = receiverhex, prevblockhash = transaction.objects.all (). Последний ( ) .blockhash, blockhash = datashash, сумма = сумма, Nonce = совершенны, first_timestamp = first_timestamp, P2PKH = DigitalSignature, проверка = True) newtrans.save () allify [ 'ответа'] = "ок" allify [ 'datashash'] = datashash allify [ 'datastring'] = json.dumps (allify) возвращают HttpResponse (json.dumps (allify), content_type = "приложения / JSON") allify [ 'ответа'] = "ок" allify [ 'datastring'] = JSON ,отвалы (allify) возвращают HttpResponse (json.dumps (allify), content_type = "приложения / JSON") Мой Traceback: Файл «/usr/local/lib/python3.5/dist-packages/django/core/handlers/exception. ру», строка 35, во внутренней реакции = get_response (запрос) Файл "/usr/local/lib/python3.5/dist-packages/django/core/handlers/base.py", строка 128, в ответ _get_response = само .process_exception_by_middleware (е, запрос) Файл "/usr/local/lib/python3.5/dist-packages/django/core/handlers/base.py", строка 126, в ответ _get_response = wrapped_callback (запрос * callback_args * * callback_kwargs) Файл "/usr/local/lib/python3.5/dist-packages/django/views/decorators/csrf.py", строка 54, в обратном wrapped_view view_func (* арг ** kwargs) Файл «/ неавтоматического /venv/cloudbank/cloudbank/views.py»,линия 174, в sendcloudcoin rsakey = RSA.importKey (senderprivatekey) Файл "/usr/local/lib/python3.5/dist-packages/Crypto/PublicKey/RSA.py", строка 682, в importKey поднять ValueError ( "ключ RSA формат не поддерживается ") ValueError: формат ключ RSA не поддерживается
Kripto Talks
1

голосов
1

ответ
211

Просмотры

Создание приложения Cordova не работает на Ubuntu

Я просто следуя руководству для создания нового приложения corvoda. Как предпосылка, я должен был установить Кордову по НОЙ установке -g Cordova, который я сделал, и моя Cordova версия 4.3.1. А теперь пробуем самое Cordova создать привет com.example.hello HelloWorld дает мне ошибку: Выгрузка библиотеки Cordova для WWW ... Ошибка: Ошибка HTTP 404 с извлечением версии 3.6.3 Кордову для WWW Любые идеи? Спасибо,
Saeid Khorsand
1

голосов
1

ответ
633

Просмотры

как ограничить использование памяти elasticsearch в убунту 17.10?

Моя служба elasticsearch потребляет около 1 ГБ. Моя общая память 2Гб. Служба elasticsearch продолжает получать закрыта. Я предполагаю, что причина из-за высокого потребления памяти. Как я могу ограничить использование для всего 512 Мб? Это память перед началом упругую поиска После запуска SUDO службы elasticsearch начать потребление памяти прыжков я ценю любую помощь! Спасибо!
kofhearts
1

голосов
0

ответ
56

Просмотры

Мой убунту VM не распознает устройство «ADB устройств»

Я пытаюсь запустить «ADB устройства» и видеть мое устройство в VM. В настоящее время, все у меня есть пустой список подключенных устройств. Режим «USB debbuging» включен в устройстве, и я разрабатываю. В Windows, когда я делаю «ADB устройства» Я могу видеть устройство. Я уже пытался убить и начать server-> не работает для меня. Я попытался также «autossh -nNL5037: локальный: 5037 -oExitOnForwardFailure = да 10.0.2.2», но у меня есть «связь» отказала. Почему я не могу видеть его в VM? Могу ли я что-то пропустил ?? Я буду гранд полностью за любую помощь ..
dvir
1

голосов
1

ответ
242

Просмотры

Как перечислить все окна верхнего уровня с использованием сервера дисплея Wayland?

Как перечислить все окна верхнего уровня на рабочем столе (и далее забирающий свои названия и другие свойства) на Ubuntu 17.10 с использованием нового сервера отображения по умолчанию Wayland? Перед тем как мы использовали X11 / Xlib для достижения этой цели, но теперь с Wayland это не надежно работать больше. Некоторые окна, как Gedit и LibreOffice не проявляются больше в списке окон, а также другие инструменты, такие как xwininfo также не работают больше с этими окнами. В настоящее время мы используем следующие технологии: Ubuntu 17,04 с X.org в качестве сервера дисплея по умолчанию: X11-XLib / X_QueryTree для Windows: Win32-API / EnumerateWindows (существует также для Windows Automation API) MacOS: NSAccessibility / AXUIElementCreateApplication, AXUIElementCopyAttributeValue, kAXChildrenAttribute Ubuntu 17,10 с Wayland: ??? Я не нашел ни одного API документацию о Wayland и доступности или пользовательского интерфейса автоматизации до сих пор. Может кто-нибудь помочь? Будущее доказательство решения / технология, как получить доступ окон рабочего стола на Linux / Ubuntu будет хорошо. С уважением.
dominik
1

голосов
0

ответ
340

Просмотры

php 7 on Ubuntu not installing

I'm trying to install a LAMP environment on Ubuntu 16.04.3 LTS by following this tutorial. However, right in the first steps I'm getting errors about PHP 7: Setting up grub-pc (2.02~beta2-36ubuntu3.15) ... dpkg: error processing package grub-pc (--configure): subprocess installed post-installation script returned error exit status 10 Setting up unattended-upgrades (0.90ubuntu0.9) ... dpkg: error processing package unattended-upgrades (--configure): subprocess installed post-installation script returned error exit status 10 Setting up php7.0-common (7.0.27-1+ubuntu16.04.1+deb.sury.org+1) ... dpkg: error processing package php7.0-common (--configure): subprocess installed post-installation script returned error exit status 10 dpkg: dependency problems prevent configuration of php7.0-readline: php7.0-readline depends on php7.0-common (= 7.0.27-1+ubuntu16.04.1+deb.sury.org+1); however: Package php7.0-common is not configured yet. dpkg: error processing package php7.0-readline (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of php7.0-opcache: php7.0-opcache depends on php7.0-common (= 7.0.27-1+ubuntu16.04.1+deb.sury.org+1); however: Package php7.0-common is not configured yet. dpkg: error processing package php7.0-opcache (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of php7.0: php7.0 depends on php7.0-common; however: Package php7.0-common is not configured yet. dpkg: error processing package php7.0 (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libapache2-mod-php7.0: libapache2-mod-php7.0 depends on php7.0-common (= 7.0.27-1+ubuntu16.04.1+deb.sury.org+1); however: Package php7.0-common is not configured yet. libapache2-mod-php7.0 depends on php7.0-opcache; however: Package php7.0-opcache is not configured yet. dpkg: error processing package libapache2-mod-php7.0 (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of php7.0-cli: php7.0-cli depends on php7.0-common (= 7.0.27-1+ubuntu16.04.1+deb.sury.org+1); however: Package php7.0-common is not configured yet. php7.0-cli depends on php7.0-opcache; however: Package php7.0-opcache is not configured yet. php7.0-cli depends on php7.0-readline; however: Package php7.0-readline is not configured yet. dpkg: error processing package php7.0-cli (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of php7.0-json: php7.0-json depends on php7.0-common (= 7.0.27-1+ubuntu16.04.1+deb.sury.org+1); however: Package php7.0-common is not configured yet. dpkg: error processing package php7.0-json (--configure): dependency problems - leaving unconfigured Errors were encountered while processing: grub-pc unattended-upgrades php7.0-common php7.0-readline php7.0-opcache php7.0 libapache2-mod-php7.0 php7.0-cli php7.0-json I've been searching and found this and this solutions, but none of them worked for me. What else can I try? Thanks in advance!
nigel.lima
1

голосов
0

ответ
22

Просмотры

окна убунту / формат serial.read raspian питон

Мы используем pyserial библиотеку для последовательного чтения порта. Я проблема окно и убунт / raspian последовательного формат чтение отличается. окна результат: 0900ee00100000028d8b0900ee0010000006a9cd0900ee001000000116b90900ee0010000004bbee Ubuntu / raspian результат: версия 09ee100050ad09ee100041a609ee1000d07309ee100040512f000f1000a06c09ee100050ad питона: 2.7 pyserial версия: 3.4 код: в то время как True: я = seru.read () печать i.encode ( 'шестигранной')
macroasm
1

голосов
2

ответ
190

Просмотры

Python Сиборн легенда отрезана

Цифра в результате кода Python ниже, к сожалению, отсекает часть легенд. Как можно избежать этого? Я не пропустить параметр в вызове SNS или это из-за того, как я создал мой PyCharm IDE? импорт панды как PD импорта Сиборн как SNS импортировать matplotlib.pyplot, как PLT DF = pd.read_csv ( 'gm_2008_region.csv') DF = df.drop ( 'область', ось = 1) plt.figure () sns.heatmap (DF .corr (), квадрат = True, CMAP = 'RdYlGn') plt.show () Это результирующий рисунок: файл .csv можно найти здесь.
apitsch
1

голосов
1

ответ
44

Просмотры

AttributeError: decoding error while running Python tweepy script in Ubuntu

У меня есть 3.5 сценарий Python, который по существу является Twitter скребок, который собирает твиты с помощью tweepy пакета и его функции StreamListener. Теперь мой скрипт отлично работает в оболочке командной строки, но когда я пытаюсь запустить его на окружающей среде Ubuntu моего сервера я получаю сообщение об ошибке декодирования. Файл "/usr/lib/python3/dist-packages/tweepy/streaming.py", строка 445, в фильтровальной self._start (асинхронный) Файл "/usr/lib/python3/dist-packages/tweepy/streaming.py" , строка 361, в _start self._run () Файл "/usr/lib/python3/dist-packages/tweepy/streaming.py", строка 294, в _run рейза исключений Файл «/ USR / Lib / python3 / расст-пакеты /tweepy/streaming.py», строка 247, в _run проверить = self.verify) Файл "/usr/lib/python3/dist-packages/requests/sessions.py", строка 454, 1 строка 7, в __call__ r.url = to_native_str (r.url) Файл "/usr/lib/python3/dist-packages/requests_oauthlib/oauth1_auth.py", строка 1 4, в to_native_str возврата string.decode ( 'UTF- 8' ) AttributeError: „ул“ объект не имеет атрибута „расшифровывает“ Это имеет смысл, потому что не может декодировать строку, которая уже является строкой. Но мой вопрос, как я могу решить эту проблему, потому что это встречающаяся ошибка в пакете?
Oliver
1

голосов
1

ответ
57

Просмотры

работает консольное приложение из PHP

У меня есть C ++ консольное приложение (игру), что я бегу на сервере Ubuntu. Я хочу, чтобы получить к нему доступ через Интернет с помощью AJAX (возможно) и PHP. Приложение занимает всего три различные входы. Y продолжать, п ​​бросить или число от 1 до 100. В зависимости от ввода приложение будет возвращать разные строки. Функция PHP Exec () запускает программу. Должен ли я использовать shell_exec (), чтобы непрерывно взаимодействовать с этим приложением или запустить приложение через proc_open ()
Mik
1

голосов
0

ответ
223

Просмотры

Не удается запустить Spyder3 на Ubuntu 16.04: отсутствуют модули, даже если они установлены

После кучи проблем с Anaconda, я пытаюсь создать среду для машинного обучения и DNN на Ubuntu 16.04.3, без использования Anaconda. (В основном из-за мою способность вычислительных GPU быть 3.0 и Конда версии tensorflow требует минимальной возможности вычислений 3.5). Если я использую Python непосредственно, я могу использовать различные tensorflow-1,5 с минимальным 3,0 и используется мой графический процессор. Кажется, что все работает нормально в командной строке ванили, но я хотел бы использовать Spyder с Python 3.6. Я установил Spyder3 с Sudo APT-получить установку Spyder3 это нормально, но когда я запускаю его я получаю отсутствующие ошибки модуля, даже если у меня есть модули: $ Spyder3 Traceback (самая последний вызов последнего): Файл «/ USR / BIN / Spyder3 », линия 3, в start_app.main () Файл "/usr/lib/python3/dist-packages/spyderlib/start_app.py",
JLC
1

голосов
1

ответ
289

Просмотры

AWS EC2 - Ubuntu экземпляр, SSH подключиться к хосту операции истекло

Я новичок в настройке виртуальных машин. Я создал свой первый экземпляр Ubuntu с помощью AWS EC2. Все, казалось, чтобы проверить, пока я не пытался подключиться к нему с SSH, в соответствии с инструкциями. Для того, чтобы обеспечить некоторый контекст, мое приложение называется «smpapp». Мой компьютер MacOS High Sierra. Естественно, что мой файл smpapp.pem сохраняется в ~ / Downloads. Во-первых, я открыл терминал и установить свой рабочий каталог файлов для скачивания с CD ~ / Downloads. Тогда я вошел CHMOD 400 smpapp.pem, который не возвратил ошибку, поэтому я предполагаю, что это был успех. Затем я поступил в SSH -i "smpapp.pem" [email protected] (опуская числа публичных DNS с Xs). Потребовалось некоторое время, чтобы процесс, прежде чем выплевывать, SSH: подключиться к хосту ec2-XX-XX-XXX-XXX.us-east-2.compute.amazonaws.com порт 22: Операция истекло.
Christopher Costello
1

голосов
0

ответ
38

Просмотры

Затмение адреса консоль терминала

У меня есть простая консольная программка, которая считывает символ и выводит его. Я посылаю тестовые символы из другой консоли: эхо в >> / разработчика / очки / 7 и она отлично работает. Теперь мне нужно отладить это приложение в Eclipse IDE. Как знать отладки консоли терминального адрес в Eclipse?
vico
1

голосов
0

ответ
35

Просмотры

Wild card subdomain not working [This site can’t be reached] .Works fine for few minute when running network-manager restart

etc/apache2/sites-available/mysite.test.conf ServerName mysite.test ServerAlias *.mysite.test ServerAdmin [email protected] DocumentRoot /var/www/html/mysite/public Options FollowSymLinks AllowOverride All Order allow,deny Allow from all Require all granted /etc/apache2/sites-enable/mysite.test.conf ServerName mysite.test ServerAlias *.mysite.test ServerAdmin [email protected] DocumentRoot /var/www/html/mysite/public Options FollowSymLinks AllowOverride All Order allow,deny Allow from all Require all granted //etc/apache2/sites-enabled/000-default.conf AllowOverride All Allow from all // /etc/hosts 127.0.0.1 localhost 127.0.1.1 sanjay-Inspiron-3542 127.0.0.1 mysite.test # The following lines are desirable for IPv6 capable hosts ::1 ip6-localhost ip6-loopback localhost fe00::0 ip6-localnet ff00::0 ip6-mcastprefix ff02::1 ip6-allnodes ff02::2 ip6-allrouters etc/dnsmasq.d/test address=/test/127.0.0.1 // /etc/dnsmasq.conf #address=/test/127.0.0.1 #server=/test/127.0.0.1 listen-address=127.0.0.1 /etc/network/interfaces # interfaces(5) file used by ifup(8) and ifdown(8) auto lo iface lo inet loopback dns-nameservers 127.0.0.1 8.8.8.8 8.8.4.4 laravel /public/.htaccess RewriteBase / When running $sudo service NetworkManager restart works fine for few minutes
Sanjay Raut
1

голосов
0

ответ
245

Просмотры

Не удалось найти пакет, чье имя или описание соответствует «beanstalkd»

Я пытаюсь установить тонну beanstalkd на убунту 14. Я попытался с помощью следующих команд APTITUDE установить -y beanstalkd APT-получить установку beanstalkd Но я получаю следующие ошибки Не удалось найти пакет, чье имя или описание соответствует «beanstalkd» Не удалось найти любой пакет, чье имя или описание соответствует «beanstalkd» не будет установлено ни одного пакета, обновлено или удалено. 0 пакетов обновлено, 0 установлено новых, 0 для удаления и 622 не обновлено. Необходимо получить 0 B архивов. После распаковки 0 B будет использоваться. Чтение списков пакетов ... Готово Построение дерева зависимостей Чтение информации о состоянии ... Готово E: Не удалось найти пакет beanstalkd Может кто-нибудь помочь мне, как это сделать.
urfusion
1

голосов
1

ответ
173

Просмотры

Segmentation fault and warnings in kurento media server

У меня есть проблемы с обслуживанием kurento СМИ. Иногда он ломал со следующими предупреждениями и ошибками (к сожалению kurento журналов без метки времени): 1-я выпуска: У меня есть много следующих предупреждения: (kurento-СМИ-сервер: 17737): ПРЕДУПРЕЖДЕНИЕ **: Ошибка при отправке данных на потоке 1: (104 ) сброс соединения по сверстникам 2 вопроса: ** (kurento-СМИ-сервер: 7829): ПРЕДУПРЕЖДЕНИЕ **: событие SCTP SCTP_COMM_LOST получил я tnink это проблемы сети, но я не знаю, что-то ... 3-е вопроса: (kurento-медиа -server: 7829): libnice-WARNING **: (agent.c: 2156): agent_signal_component_state_change: проверка выполнения не удалось: (ПЕРЕХОД (оТСОЕДИНЕННОМ, FAILED) || ПЕРЕХОД (СБОР, FAILED) || ПЕРЕХОД (СОЕДИНЕНИЕ, FAILED) | | ПЕРЕХОД (CONNECTED, FAILED) || ПЕРЕХОД (READY, FAILED) || ПЕРЕХОДА (отключенный, СБОР) || ПЕРЕХОДА (СБОР, СОЕДИНЕНИЕ) || ПЕРЕХОД (СОЕДИНЕНИЕ, ПОДКЛЮЧЕНЫ) || ПЕРЕХОД (ПОДКЛЮЧЕНЫ, ГОТОВ) || ПЕРЕХОД (ГОТОВО, ПОДКЛЮЧЕНЫ) || ПЕРЕХОД (FAILED, СОЕДИНЕНИЕ) || ПЕРЕХОД (DISCONNECTED, СОЕДИНЕНИЕ) || ПЕРЕХОД (СОЕДИНЕНИЕ, СБОР)) Некоторые ребята из StackOverflow сказали, что это не проблема, 4-й выпуска: [31; 1mSegmentation вино [ая (нить [33; 1m139796485371648 [0й, PID [33; 1m7829 [0е) Стек след: [34; 1m [g_socket_send_message] [0m /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0[32;1m:0x7B044[0m [34; 1m [nice_output_stream_new] [0м / USR / Библиотека / x86_64-linux- ГНУ / libnice.so.10 [32; 1m: 0x2769E [0m [34; 1m [nice_output_stream_new] [0m /usr/lib/x86_64-linux-gnu/libnice.so.10[32;1m:0x27813[0m [34 ; 1m [nice_agent_recv_nonblocking] [0m /usr/lib/x86_64-linux-gnu/libnice.so.10[32;1m:0x11879[0m [34;
Sergey Pentsov
1

голосов
1

ответ
96

Просмотры

Ubuntu не может показать элементы графического интерфейса пользователя, разработанные с файлами .css

Я работаю в группе над проектом Java с целью разработки GUI с использованием JavaFX. Основная структура графического интерфейса завершена и он работает довольно хорошо до момента, мы использовали CSS, чтобы настроить некоторые графические детали на кнопки и текстовые поля и так далее. GUI работает без каких-либо проблем на Windows, и MAC, но когда я пытаюсь запустить его на Ubuntu, возникает проблема. нет Как только я получаю GUI и работает через Netbeans на Ubuntu, некоторые детали элементов скорректированных через .css файлы больше не отображаются. Эта проблема возникает на несколько кнопок и текстовых полей. Проект Java может быть построен и выполняется без сообщений об ошибках. Я только получить несколько предупреждений, но они не вызывают каких-либо проблем под ОС Windows или MAC. Во время сборки: Примечание: /.../.../.../.../nameOfClass.java использует или небезопасные операции. Примечание: Recompile с -Xlint: снят для деталей. Обнаружено JavaFX Ant API версия 1.3 Запуск задача из /usr/lib/jvm/jdk1.8.0_161/jre/../lib/ant-javafx.jar Предупреждения: От JDK7u25 манифеста атрибут Codebase должен использоваться для ограничения JAR перепрофилирования. Пожалуйста, установите manifest.custom.codebase свойство переопределения текущего по умолчанию незащищенного значения «*». Запуск задачи из /usr/lib/jvm/jdk1.8.0_161/jre/../lib/ant-javafx.jar Нет базы JDK. Пакет будет использовать систему JRE. Нет базы JDK. Пакет будет использовать систему JRE. JFX развертывание-скрипт: JFX развертывание: баночка: JFX перестроение: BUILD УСПЕШНОГО (общее время: 3 секунды) При работе: ВНИМАНИЕ: Загрузка FXML документ с JavaFX API версии 9.0.1 с помощью JavaFX среды исполнения версии 8.0.161 Access к .css файлов устанавливается через пути в Scenebuilder. Scenebuilder вставить путь непосредственно в .fxml файлы. Такие, как: Содержание. CSS файл: / * Для того, чтобы изменить заголовок лицензии, выберите Лицензионные заголовки в свойствах проекта. Чтобы изменить этот файл шаблона, выберите Tools | Шаблоны и откройте шаблон в редакторе. * / .Button {-fx-фон-цвет: # 007399; -fx-текст-наполнитель: #FFFFFF; -fx-тактный: #FFFFFF; } .Button: парения {-fx-фонового цвета: # 328fad; } .Button: нажать {-fx-цвет фона: # 005c7a; } Самое смешное, как только я открываю файл .fxml в scenebuilder, все отображается правильно. Но как только я запускаю GUI по Netbeans на Ubuntu, кнопка выглядит иначе, или они не показаны. Моя установка: Ubuntu 17,10 Netbeans 8.2 с Java: 1.8.0_161; Runtime: Java (TM) SE Runtime Environment 1.8.0_161-b12; JavaFX Scene Builder 9.0.1 Сложение Информация о версии 9.0.1 Java Версия: 9 + 181, Oracle Corporation Мой местный Java-версии от " Я клонировать проект с помощью мерзавца на другой ноутбук с теми же Ubuntu, Netbeans и Scenebuilder версий и проблема также происходит здесь. К сожалению, я не могу найти в логах JavaFX или что-нибудь подобное. Если кто-то имел представление о том, чтобы исправить эту ошибку, я был бы очень рад. С наилучшими пожеланиями
Jägerstolz
1

голосов
0

ответ
209

Просмотры

Что такое питон asyncio цикл обработки событий временной сложности по количеству запланированных задач?

Для цикла обработки событий по умолчанию в Linux, что такое событие временная петля сложности по количеству запланированных задач? Я хочу знать, если огромное количество задач может быть проблема с производительностью. В противном случае, это просто то же самое с Epoll, который, как известно, что он имеет O (1) временная сложность?
SangminKim
1

голосов
0

ответ
44

Просмотры

Можно ли создать субдомен динамически на сервере Amazon EC2

Я создал один CI проект, в котором пользователь может зарегистрироваться и получить его / ее собственный домен. например, мой проект находится на example.com, то пользователь может создать user1.example.com, user2.expample.com и т.д. поддомен. Я создал виртуальный хост и базу данных для них по отдельности, но не в состоянии создать поддомен динамически на Amazon EC2 сервера. предложить мне какие-либо API для создания суб домен динамически, как только мой пользователь с нами
suchita
1

голосов
0

ответ
93

Просмотры

File not found though it's present in the directory

I'm trying to implement client-proxy-server. Communication between client and proxy is as usual (HTTP GET). But the communication between proxy server and server is done through shared memory. Whichever file client requested (in this case index.html), proxy server writes it to shared memory. Server reads it from shared memory and through HTTP returns it. Following is proxy code: //creating shared memory segment char c; int shmid; key_t key; char *shm; char *s= (char *)malloc (strlen(buffer)+1); //naming shared memory segment 5678 key=5678; //creating the segment if((shmid =shmget (key,SHMSZ,IPC_CREAT|0666))
puffles
1

голосов
0

ответ
447

Просмотры

Ошибка: Не удалось создать локальный кэш ( «.httr-OAuth») в R на Ubuntu

Недавно я установил R на Ubuntu и попытался запустить R сценарий на то же самое. Хотя тот же скрипт работает на окнах правильно, я получаю ошибку записи файла HTTR-OAuth. Мои коды являются следующими требуют (RGoogleAnalytics) библиотека (HTTR) библиотека (stringr) библиотека (lubridate) библиотека (plyr) библиотеки (dplyr) требует (googlesheets) библиотеки (rjson) long_end_date
shreekant das
1

голосов
0

ответ
79

Просмотры

Не в состоянии подключиться к Postgres на AWS убунту

Когда я бегу Python3 manage.py makemigrations. Он выдает следующее сообщение об ошибке. Файл "/usr/local/lib/python3.5/dist-packages/psycopg2/init.py", строка 164, в Conn = соединять _connect (DSN, connection_factory = connection_factory, асинхронный = асинхронный) django.db.utils.OperationalError : не удалось подключиться к серверу: Соединение отклонено ли сервер работает на хост «локальный» (127.0.0.1) и принимает TCP / IP соединения на порт 5432? Таким образом, я проверил ли Postgres работает нормально, я попытался Sudo су - Postgres Он пошел внутри Postgres CMD подскажет поэтому он стал Postgres @ IP-10-254-3-58: ~ $ теперь, когда я пытаюсь Psql я получаю ту же ошибку а когда я бегу python3 manage.py makemigrations. Postgres @ IP-10-254-3-58: ~ $ PSQL PSQL: не удалось подключиться к серверу: Нет такого файла или каталога не сервер работает локально и принимать соединения на Unix сокет домена «/var/run/postgresql/.s.PGSQL.5432»? Пожалуйста, помогите мне устранить эту проблему. ТИА С уважением, Бхарат А.К.
A K Bharath
1

голосов
1

ответ
266

Просмотры

Что линукс пользователь делает nodejs подпроцесс работать как?

Я пытаюсь запустить Docker изображение, используя Docker бег как подпроцесс nodeJS, но я получаю сообщение об ошибке: Ошибка: докер: разрешение Got отказано при попытке подключиться к демону розетке Докера в UNIX: /// вар / бег / Докер .sock: сообщение HTTP: //%2Fvar%2Frun%2Fdocker.sock/v1.35/containers/create: набрать UniX /var/run/docker.sock: подключение: доступ запрещен. См 'Docker запустить --help'. Я пытаюсь выяснить, что пользователь подпроцесс или команда запускаются как с помощью nodeJS икры.
thegalah
1

голосов
2

ответ
1.4k

Просмотры

AWS EC2 убунту требует пароль

я хочу построить проект так и не удалось, потому что он требует корневого разрешения. Когда я изменить пользователь в корень, как «Суд -s», это побудило [Sudo] пароль для убунта. Как ec2 не предлагает Ubuntu пароль, то войти в систему с PEM файл. Как я могу войти в систему с правами администратора и создавать файлы? Спасибо!
TszHin Ma
1

голосов
1

ответ
291

Просмотры

Не удается запустить jupyter ноутбук в Ubuntu

Я установил jupyter ноутбук с помощью: Суда PIP3 установить jupyter Казалось работать, но я получил сообщение об ошибке: Каталог «/home/user1/.cache/pip/http» или его родительский каталог не принадлежит текущему пользователю и кэш был отключен. Пожалуйста, проверьте права доступа и владелец этого каталога. Если выполнение пипа с Судом, вы можете -Н флаг SUDO в. Каталог «/home/user1/.cache/pip» или его родительский каталог не принадлежит текущему пользователю и кэширования колес отключена. проверьте права доступа и владелец этого каталога. Если выполнение пип с Судом, вы можете -Н флаг SUDO, когда я запустить его: jupyter ноутбук я получаю сообщение об ошибке: Ошибка при выполнении Jupyter команды «ноутбук»: [Errno 8] Exec ошибка в формате
MCG Code
1

голосов
0

ответ
34

Просмотры

Trying to instal lxml ? Looks like nothing is getting install in my system?

Моя конфигурация системы: Дистрибьютор ID: Ubuntu Описание: Ubuntu 16,10 релиз: 16,10 Codename: yakkety Терминал ~ $ Sudo APT-получить установку питона-LXML Error Найдено: Чтение списков пакетов ... Готово Построение дерева Чтение информации о состоянии зависимостей ... Готово следующие пакеты были установлены автоматически и не больше не требуются: DKMS libgsoap9 libvncserver1 используйте «SUDO меткого autoremove», чтобы удалить их. Будут установлены следующие дополнительные пакеты: питон-BS4 питон-chardet питон-html5lib предложенные пакеты: питон-Genshi питон-LXML-DBG питон-LXML-док будут установлены следующие НОВЫЕ пакеты: питон-BS4 питон-chardet питон-html5lib Python-LXML обновлено 0, 4 установлено новых, 0, чтобы удалить и 10 не обновлено. Необходимо получить 782 кБ / 962 кбайт архивов. После этой операции, 4, будет использоваться 173 кБ дополнительного дискового пространства. Вы хотите продолжить? [Y / N] у IGN: 1 http://in.archive.ubuntu.com/ubuntu yakkety / Главный amd64 Python-BS4 все 4.5.1-1 Err: 2 http://in.archive.ubuntu.com/ убунту yakkety / Главный amd64 Python-LXML amd64 3.6.4-1 404 Not Found [IP: 91.189.88.149 80] Err: 1 http://in.archive.ubuntu.com/ubuntu yakkety / Главный i386 Python-BS4 всего 4.5 .1-1 404 Not Found [IP: 91.189.88.149 80] E: Не удалось получить http://in.archive.ubuntu.com/ubuntu/pool/main/b/beautifulsoup4/python-bs4_4.5.1-1_all. Deb 404 Not Found [IP: 91.189.88.149 80] E: Не удалось получить http://in.archive.ubuntu.com/ubuntu/pool/main/l/lxml/python-lxml_3.6.4-1_amd64.deb 404 Не Найдено [IP: 91.189.88.149 80] E: Невозможно получить некоторые архивы, возможно запустить APT-получить обновление или попробуйте --fix пропущенным?
roshan_ray
1

голосов
1

ответ
240

Просмотры

Не удалось найти Python.h несмотря на наличие его в системе (Ubuntu 16)

У меня Анаконда 3,6, и я пытаюсь скомпилировать Pycaffe (от рамок Caffe), но я получаю следующее сообщение об ошибке: Python / Caffe / _caffe.cpp: 1: 52: фатальная ошибка: Python.h: Нет такого файла или каталога у меня есть установлен питон-DEV пакеты, специфичные для Python 3.6 с Sudo APT-получить установку python3.6-Дев, и когда я бегу найти Python.h возвращается: /home/jdevezas/.local/share/Trash/info/Python.h. trashinfo /home/jdevezas/anaconda/bin/Python.h /home/jdevezas/anaconda/include/python3.6m/Python.h /home/jdevezas/anaconda/pkgs/python-3.6.0-0/include/python3. 6м / Python.h /home/jdevezas/anaconda/pkgs/python-3.6.4-hc3d631a_1/include/python3.6m/Python.h /usr/include/python2.7/Python.h / USR / включать / python3. 5м / Python.h /usr/lib/llvm-3.5/include/lldb/Interpreter/ScriptInterpreterPython.h правильный путь к папке Anaconda указывается в моем файле .bashrc с:экспорт PATH = "главная / jdevezas / Анаконда / бен: $ PATH" Любые идеи?
J. Devez
1

голосов
1

ответ
211

Просмотры

Не в состоянии запустить CLI / SHELL для influxdb Docker изображения

Я даю попробовать на приток дб для небольшого проекта. Вслед за ссылку, чтобы запустить Docker изображение на убунту 17.04. https://hub.docker.com/_/influxdb/ Started контейнер, используя следующую команду и influxdb начал отлично. Foo @ убунт: ~ / программное обеспечение / influxdb $ Sudo докер запустить -p 8086: 8`enter код here`086 -v $ PWD: / вар / Библиотека / influxdb influxdb При выполнении следующей команды для получения ошибки CLI / SHELL. Foo @ убунт: ~ / программное обеспечение / influxdb $ Sudo докер пробег --rm --link = influxdb -это influxdb приток -host influxdb грузчика: ответ ошибки от демона: Не удается установить связь с неработающей контейнерой: / influxdb AS / epic_lumiere / influxdb , Foo @ убунт: ~ / программное обеспечение / influxdb $ Sudo докер Exec -это influxdb притока ответ ошибки от демона: Контейнер c04706b2bbcd5cfa70f66d156f1b8f513f2214d5bf2f7a0dd3ff517b45774e08 не работает Примечание: influxdb работает нормально, и я могу подключиться к нему с помощью HTTP. Foo @ убунту: ~ / программное обеспечение / influxdb $ Sudo докер запустить -p 8086: 8086 -v $ PWD: / вар / Библиотека / influxdb influxdb [I] 2018-02-21T08: 21: 12Z InfluxDB начиная с версии 1.4.3, ветви 1.4, совершают 60d27e6995558f38a39e90b35a92cbac080310a3 [I] 2018-02-21T08: 21: 12Z Перейти версия go1.9.2, GOMAXPROCS установлен на 4 [I] 2018-02-21T08: 21: 12Z Использование конфигурации по адресу: / и т.д. / influxdb / influxdb. конф [I] 2018-02-21T08: 21: 12Z Использование реж данных: / вар / Библиотека / influxdb / данные служба = магазин [I] 2018-02-21T08: 21: 12Z чтение файла / вара / Библиотека / influxdb / вали /_internal/monitor/1/_00001.wal, размер 877606 двигателя = tsm1 обслуживание = cacheloader [I] 2018-02-21T08: 21: 12Z чтение файла / вар / Библиотека / influxdb / валь / _internal / монитор / 1 / _00002. вали, размер 0 двигатель = tsm1 обслуживание = cacheloader [I] 2018-02-21T08: 21: 12Z / вар / Библиотека / influxdb / данные / _internal / монитор / 1 открыты в 88. 12Z Запуск служба службы HTTP = HTTPD [I] 2018-02-21T08: 21: 12Z аутентификация: ложное обслуживание = HTTPD [I] 2018-02-21T08: 21: 12Z Прослушивание HTTP: [::]: 8086 обслуживание = HTTPD [I] 2018-02-21T08: 21: 12Z Запуск службы принудительного удержания политики с интервалом проверки 30m0s службы = удержания [I] 2018-02-21T08: 21: 12Z Прослушивание сигналов [I] 2018-02-21T08: 21: 12Z Отправка статистики использования usage.influxdata.com [I] 2018-02-21T08: 21: 12Z сохранение статистики в базе данных '_internal' политики хранения 'монитор', в интервале обслуживания 10s = монитора [HTTPD] 172.17.0.1 - - [21 / февраля / 2018: 08: 22: 28 +0000] "ГОЛОВКА / пинг HTTP / 1.1" 204 0 "-" "извитости / 7.52.1" 5ad8ee44-16e0-11e8-8001-000000000000 3075 [I] 2018 -02-21T08: 51: 12Z Сохранение политики осколок проверка удаления начинающееся. обслуживание = удержание [I] 2018-02-21T09: 13: 48Z SHOW DATABASES обслуживание = запрос [HTTPD] 172.17.0.1 - - [21 / февраля / 2018: 09: 13: 48 +0000] "? GET / д = запрос шоу + базы данных HTTP / 1.1" 200 109 "-" «завиток /7.52.1" 86ae24be-16e7-11e8-8002-000000000000 3423 Спасибо заранее, за любую помощь. Foo @ убунт: ~ / программное обеспечение / influxdb $ Sudo докер п.с. -a | Grep influxdb [Sudo] пароль для обув: 5e73d087fc19 influxdb "/entrypoint.sh Влиян ..." Около часа назад Создан sleepy_lumiere 18acacfc6377 influxdb "/entrypoint.sh Влиян ..." 5 дней назад До 5 дней 0.0.0.0:8086->8086/ ТСР loving_benz 97d935acebd7 influxdb "/entrypoint.sh Влиян ..." 5 дней назад возбужденном (255) 5 дней назад 0.0.0.0:8086->
user1497716

Просмотр дополнительных вопросов

Связанные вопросы